POST /api/v2/guest/secret/conceal

Creates a new secret from user-provided content. Accepts the secret value, an optional passphrase, TTL, recipient email, and share domain. Returns the receipt and secret records with share URLs.

application/json

Body Required

  • secret object Required
    Hide secret attributes Show secret attributes object
    • kind string Required

      Value is conceal.

    • share_domain string Required
    • recipient string
    • passphrase string
    • ttl string | integer

      Any of:

      Format should match the following pattern: ^\d+$.

      Minimum value is -9007199254740991, maximum value is 9007199254740991.

    • secret string Required

      Minimum length is 1.

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • user_id string
    • shrimp string

      Default value is empty.

    • record object Required
      Hide record attributes Show record attributes object
      • receipt object Required
        Hide receipt attributes Show receipt attributes object
        • identifier string Required
        • created number Required
        • updated number Required
        • key string Required
        • shortid string Required
        • state string Required

          Values are new, shared, revealed, burned, previewed, expired, or orphaned.

        • custid string | null
        • owner_id string | null
        • shared string | null
        • previewed string | null
        • revealed string | null
        • burned string | null
        • secret_ttl string | null Required
        • receipt_ttl string | null Required
        • lifespan string | null Required
        • secret_shortid string
        • secret_identifier string | null
        • recipients array[string] | null | string

        • share_domain string | null
        • has_passphrase boolean | null
        • is_previewed string | null
        • is_revealed string | null
        • is_burned string | null
        • is_destroyed string | null
        • is_expired string | null
        • is_orphaned string | null
        • memo string | null
        • kind string | null

          Any of:

          Values are generate or conceal.

          Value is .

        • received string | null
        • viewed string | null
        • is_viewed string | null
        • is_received string | null
      • secret object Required
        Hide secret attributes Show secret attributes object
        • identifier string Required
        • created string Required
        • updated string Required
        • key string Required
        • shortid string Required
        • state string Required

          Values are new, revealed, burned, or previewed.

        • has_passphrase string | null
        • verification string | null
        • secret_value string
        • is_previewed string | null
        • is_revealed string | null
        • secret_ttl string | null Required
        • lifespan string | null Required
        • is_viewed string | null
        • is_received string | null
      • share_domain string | null Required
    • details object

      Additional properties are allowed.

  • 400 application/json

    Bad Request - Invalid request parameters or body

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 404 application/json

    Not Found - Resource does not exist

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 422 application/json

    Unprocessable Entity - Validation failed

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 429 application/json

    Too Many Requests - Rate limit exceeded

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 500 application/json

    Internal Server Error - Something went wrong

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

POST /api/v2/guest/secret/conceal
curl \
 --request POST 'https://eu.onetimesecret.com/api/v2/guest/secret/conceal' \
 --header "Content-Type: application/json" \
 --data '{"secret":{"kind":"conceal","share_domain":"string","recipient":"string","passphrase":"string","ttl":"string","secret":"string"}}'
Request examples
{
  "secret": {
    "kind": "conceal",
    "share_domain": "string",
    "recipient": "string",
    "passphrase": "string",
    "ttl": "string",
    "secret": "string"
  }
}
Response examples (200)
{
  "user_id": "string",
  "shrimp": "",
  "record": {
    "receipt": {
      "identifier": "string",
      "created": 42.0,
      "updated": 42.0,
      "key": "string",
      "shortid": "string",
      "state": "new",
      "custid": "string",
      "owner_id": "string",
      "shared": "string",
      "previewed": "string",
      "revealed": "string",
      "burned": "string",
      "secret_ttl": "string",
      "receipt_ttl": "string",
      "lifespan": "string",
      "secret_shortid": "string",
      "secret_identifier": "string",
      "recipients": [
        "string"
      ],
      "share_domain": "string",
      "has_passphrase": true,
      "is_previewed": "string",
      "is_revealed": "string",
      "is_burned": "string",
      "is_destroyed": "string",
      "is_expired": "string",
      "is_orphaned": "string",
      "memo": "string",
      "kind": "generate",
      "received": "string",
      "viewed": "string",
      "is_viewed": "string",
      "is_received": "string"
    },
    "secret": {
      "identifier": "string",
      "created": "string",
      "updated": "string",
      "key": "string",
      "shortid": "string",
      "state": "new",
      "has_passphrase": "string",
      "verification": "string",
      "secret_value": "string",
      "is_previewed": "string",
      "is_revealed": "string",
      "secret_ttl": "string",
      "lifespan": "string",
      "is_viewed": "string",
      "is_received": "string"
    },
    "share_domain": "string"
  },
  "details": {}
}
Response examples (400)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (404)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (422)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (429)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (500)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}